function x = utrs(A,b)
    % Resuelve un sistema con matriz triangular superior
    n = size(A,1);
    x = zeros(n,1);
    x(n) = b(n)/A(n,n);
    for ii = n-1:-1:1
        x(ii) = ( b(ii) - A(ii,(ii+1):n)*x((ii+1):n) )/A(ii,ii);
    end
end

